Page MenuHomePhabricator

Make Wikibase extension installable with data-values/time ~1.0
Closed, ResolvedPublic

Description

Acceptance requirement

  • Wikibase should be installable with data-values/time 1.0
  • Wikibase should still be installable with data-values/time 0.8
  • Wikibase should no longer be installable with data-values/time 0.8, now that mediawiki-vendor is updated
  • Any changes to the extension needed to maintain functionality should be made.

The release notes for the version difference can be found @ https://github.com/DataValues/Time/blob/master/README.md#release-notes

Event Timeline

Addshore triaged this task as Normal priority.Sep 18 2018, 3:09 PM
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)
Addshore moved this task from incoming to ready to go on the Wikidata board.Sep 18 2018, 3:15 PM
Addshore moved this task from ready to go to consider for next sprint on the Wikidata board.

Change 474736 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] composer: allow data-values/time ^1.0.1

https://gerrit.wikimedia.org/r/474736

Change 474741 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] composer: "data-values/time": "^1.0.1" only

https://gerrit.wikimedia.org/r/474741

Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 19 2018, 5:00 PM

Change 474736 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] composer: allow data-values/time ^1.0.1

https://gerrit.wikimedia.org/r/474736

Change 474741 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] composer: "data-values/time": "^1.0.1" only

https://gerrit.wikimedia.org/r/474741

Addshore renamed this task from Make Wikibase extension installable with data-value/time ~1.0 to Make Wikibase extension installable with data-values/time ~1.0.Dec 13 2018, 5:30 PM
Addshore closed this task as Resolved.

Looks all done to me